Bug 5316 - pubkey auth fails with incorrect password if key includes \r\n newlines
Summary: pubkey auth fails with incorrect password if key includes \r\n newlines
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: Client (show other bugs)
Target Milestone: 4.4.0
Assignee: Pierre Ossman
URL:
Keywords: hean01_tester, relnotes
Depends on:
Blocks:
 
Reported: 2014-10-17 15:53 CEST by Henrik Andersson
Modified: 2015-03-20 10:33 CET (History)
1 user (show)

See Also:
Acceptance Criteria:


Attachments

Description Henrik Andersson cendio 2014-10-17 15:53:43 CEST
The problem lies within openssh when key is read, it will validate buffer size with filesize which will differ and produce the following failure:

  2014-10-16T10:31:50: ssh[E]: debug1: key_load_file: key file C:\\data\\id_rsa changed size while reading
Comment 1 Pierre Ossman cendio 2015-02-16 14:16:32 CET
Only affects Windows as it is the magical \r\n to \n translation that screws things up. Fixed in r29994.
Comment 2 Pierre Ossman cendio 2015-02-17 12:53:56 CET
Re-fixed in r29997.
Comment 3 Pierre Ossman cendio 2015-02-18 10:40:13 CET
Works well. Tested on Fedora 21 and Windows 8.1.
Comment 4 Henrik Andersson cendio 2015-03-17 13:18:35 CET
Created a broken key using notepad and test with 4.3.0 client and verified that it was broken (a password less key presented a password prompt). Loaded the broken key into client build 4695 and it worked as expected.

Note You need to log in before you can comment on or make changes to this bug.